Get User History
curl --request POST \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/eai-gateway/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"session_timeout_seconds": 3600,
"use_whatsapp_format": false
}
'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/eai-gateway/history"
payload = {
"user_id": "<string>",
"session_timeout_seconds": 3600,
"use_whatsapp_format": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '<string>', session_timeout_seconds: 3600, use_whatsapp_format: false})
};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/eai-gateway/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}EAI Gateway
Get User History
Retrieves the conversation history for a single user.
Args: request: Contains user_id and optional session_timeout_seconds (default: 3600)
Returns: HistoryResponse: List of formatted messages for the user
POST
/
api
/
v1
/
eai-gateway
/
history
Get User History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I
